GET /api/farcaster/channel/{name}
Farcaster channel info
GET channel data from farcaster service
Endpoint​
GET https://api.web3identity.com/api/farcaster/channel/{name}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
name | path | string | âś… | ENS name or identifier |
Example Request​
curl -s "https://api.web3identity.com/api/farcaster/channel/:name" | jq
Responses​
200 Success​
{
"id": "dev",
"name": "dev",
"description": "Developer discussions",
"imageUrl": "https://i.imgur.com/dev.png",
"createdAt": 1640000000000,
"followerCount": 12345,
"leadFid": 3
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec